Skip to main content

Sending Messages with Contact Details via WhatsApp

Last updated: 22 January 2026

To send contact details to the WhatsApp channel, use the method api/v1/out-messages/whatsapp.

tip

The method api/v1/out-messages/whatsapp refer to the new API version.


Calling the Method

To send a message with contact details to the WhatsApp channel, send a POST request to the URL https://app.edna.io/api/v1/out-messages/whatsapp.

Request Format

{
"sender": "string",
"phone": "string",
"content": {
"type": "string",
"name": {
"name": "string",
"firstName": "string",
"lastName": "string"
},
"phones": [
{
"phone": "string",
"type": "string",
"userId": "string"
},
{
"phone": "string",
"type": "string",
},
{
"phone": "string",
"type": "string",
},
],
"addresses": [
{
"city": "string",
"country": "string",
"street": "string",
"type": "string"
},
{
"city": "string",
"country": "string",
"street": "string",
"type": "string"
}
],
"emails": [
{
"email": "string",
"type": "string"
},
{
"email": "string",
"type": "string"
}
],
"urls": [
{
"url": "string",
"type": "string"
},
{
"url": "string",
"type": "string"
}
],
"org": {
"company": "string",
"department": "string",
"title": "string"
}
}
}

Request Example

{

"sender": "wa_subject_1",
"phone": "+19165550100",
"content": {
"type": "CONTACT",
"name": {
"name": "John Director",
"firstName": "John",
"lastName": "Public"
},
"phones": [
{
"phone": "+19165550101",
"type": "CELL",
"userId": "19165550101"
},
{
"phone": "+19165550199",
"type": "WORK",
},
{
"phone": "+19165550111",
"type": "HOME",
},
],
"addresses": [
{
"city": "Sacramento",
"country": "USA",
"street": "2210 Sloat Way",
"type": "HOME"
},
{
"city": "Sacramento",
"country": "USA",
"street": "2733 Riverside Blvd",
"type": "WORK"
}
],
"emails": [
{
"email": "[email protected]",
"type": "HOME"
},
{
"email": "[email protected]",
"type": "WORK"
}
],
"urls": [
{
"url": "nicesite.com",
"type": "HOME"
},
{
"url": "lovelywork.com",
"type": "WORK"
}
],
"org": {
"company": "Publishing house KnightHood",
"department": "Legal Department",
"title": "Director of the Legal Department"
}
}
}

Request Parameters

ParameterData typeCharacterDescription
senderstringRequiredSignature title.
To find out the name of the signature, use the API method to get a list of channels — the subject parameter. File IconReceiving List of Channels
phonestringRequiredThe recipient's address — a phone number.
To find out the recipient's address, use the API method to request recipient data — the addresses.address parameter. File IconRequesting Client Data
contentobjectRequiredAn object containing information about the message content.
content.typestringRequiredMessage content type.
Possible values:
- TEXT — text message;
- IMAGE — image;
- DOCUMENT — document attached to the message;
- VIDEO — message containing a video;
- AUDIO — message containing sound;
- LOCATION — message with coordinates, address, and description of the location. Coordinates are converted into a Google Maps satellite image
- LIST_PICKER — WhatsApp interactive menu buttons;
- FLOW — message containing WhatsApp Flows.
- CONTACT — message containing contact details.
content.nameobjectRequiredAn object containing information about contact names.
content.name.namestringRequiredContact name. Maximum length: 1024 characters.
content.name.firstNamestringOptionalContact first name. Maximum length: 1024 characters.
content.name.lastNamestringOptionalContact last name. Maximum length: 1024 characters.
content.phonesarray of objectsOptionalArray of phone numbers.
content.phones.phonestringOptionalPhone number. Maximum length: 1024 characters.
content.phones.typestringOptionalTelephone number type.
Possible values:
- HOME – home;
- WORK – work;
- IPHONE – iPhone;
- MAIN – main;
- CELL – mobile.
content.phones.userIdstringOptionalIf the value is specified, the WhatsApp ID (the phone number associated with the account) will be transferred to the WhatsApp application. In this case, the contact will be displayed with the “Write” and ‘Save’ buttons. If the value is not specified, the contact will be displayed with the “Add” button. The maximum length is 1024 characters.
content.addressesarray of objectsOptionalArray of residential and location addresses.
content.addresses.citystringOptionalCity of contact. Maximum length — 1024 characters.
content.addresses.countrystringOptionalCountry of contact. Maximum length: 1024 characters.
content.addresses.streetstringOptionalContact street. Maximum length — 1024 characters.
content.addresses.typestringOptionalType of contact address.
Possible values:
- HOME – home;
- WORK – work.
content.emailsarray of objectsOptionalArray of email addresses.
content.emails.emailstringOptionalContact email address. Maximum length: 1024 characters.
content.emails.typestringOptionalType of contact email address.
Possible values:
- HOME – home;
- WORK – work.
content.urlsarray of objectsOptionalArray of web page addresses.
content.urls.urlstringOptionalWeb page address. Maximum length: 1024 characters.
content.urls.typestringOptionalType of web page address.
Possible values:
- HOME – home;
- WORK – work.
content.orgobjectOptionalObject with information about the company.
content.org.companystringOptionalName of the company. Maximum length — 1024 characters.
content.org.departmentstringOptionalCompany department. Maximum length: 1024 characters.
content.org.titlestringOptionalContact position. Maximum length — 1024 characters.

Response Format

{
"outMessageId": "string",
"phone": "string"
}

Response Example

{
"outMessageId": "020be4b9-bb7d-781d-8517-913fa44e80e6",
"phone": "+19165550100"
}

Response Parameters

ParameterData typeDescription
outMessageIdstringInternal identifier of the outgoing message.
phonestringRecipient's address — phone number.